CKPT_PATH=../ckpts/cls_model/style50.pth
CKPT_PATH_CLS=../ckpts/cls_model/style50_cls.pth

THEMES=( Monet Picasso Van_Gogh )
METHODS=( CA EDiff ESD SalUn SHS )
DEVICE=4
for t_idx in "${!THEMES[@]}"
do
  THEME=${THEMES[$t_idx]}
  for m_idx in "${!METHODS[@]}"
  do
    METHOD=${METHODS[$m_idx]}
    PATH_TO_GENERATED_IMAGES=output_images/unlearned/${METHOD}/${THEME}
    PATH_TO_OUTPUT_DIR=output_eval/unlearned/${METHOD}/${THEME}
    
    CUDA_VISIBLE_DEVICES=${DEVICE} python3 evaluation/classification.py --task style --ckpt ${CKPT_PATH} --input_dir ${PATH_TO_GENERATED_IMAGES} --output_dir ${PATH_TO_OUTPUT_DIR} &
    CUDA_VISIBLE_DEVICES=${DEVICE} python3 evaluation/classification.py --task class --ckpt ${CKPT_PATH_CLS} --input_dir ${PATH_TO_GENERATED_IMAGES} --output_dir ${PATH_TO_OUTPUT_DIR} &
    CUDA_VISIBLE_DEVICES=${DEVICE} python3 evaluation/fid.py --p1 ./data/unlearn_canvas --p2 ${PATH_TO_GENERATED_IMAGES} --output-path ${PATH_TO_OUTPUT_DIR}/fid.pth &
    wait
  done
done